# $Revision: 1.27 $, $Date: 2008/07/27 22:14:46 $
Summary:	SGML document type definition for DocBook 3.0
Summary(es.UTF-8):	OASIS DTD DocBook Group para documentación técnica
Summary(pl.UTF-8):	DTD dla dokumentów DocBook 3.0
Summary(pt_BR.UTF-8):	DTD DocBook Davenport Group para documentação técnica
Summary(ru.UTF-8):	SGML DTD для технической документации в формате DocBook 3.0
Summary(uk.UTF-8):	SGML DTD для технічної документації в форматі DocBook 3.0
Name:		docbook-dtd30-sgml
Version:	1.0
Release:	20
License:	distributable
Group:		Applications/Text
Source0:	http://www.oasis-open.org/docbook/sgml/3.0/docbk30.zip
# Source0-md5:	9a7f5b1b7dd52d0ca4fb080619f0459c
Source1:	%{name}-Makefile
Patch0:		%{name}-catalog.patch
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd-sgml
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DocBook Document Type Definition (DTD) describes the syntax of
technical documentation texts (articles, books and manual pages). This
syntax is SGML-compliant and is developed by the OASIS consortium.
This is the version 3.0 of this DTD.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Ten pakiet zawiera wersję 3.0
DTD.

%description -l pt_BR.UTF-8
DTD DocBook Davenport Group para documentação técnica.

%description -l ru.UTF-8
DocBook - это SGML DTD (document type definition) с описанием
синтаксиса тегов в текстах технической документации (статьи, книги,
man-страницы) Этот синтаксис является SGML-совместимым, его
разработали в консорциуме OASIS. Это версия 3.0 этого DTD.

%description -l uk.UTF-8
DocBook - це SGML DTD (document type definition), що описує синтаксис
тегів в текстах технічної документації (статті, книги, man-сторінки).
Цей синтаксис є SGML-сумісним, його розроблено в консорціумі OASIS. Це
версія 3.0 цього DTD.

%prep
%setup -q -c
chmod -R a+rX,g-w,o-w .
cp %{SOURCE1} Makefile
%patch0 -p0

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- docbook-dtd30-sgml < 1.0-15
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-3.0.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-3.0.cat /usr/share/sgml/docbook/sgml-dtd-3.0/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt
%{_datadir}/sgml/docbook/sgml-dtd-3.0

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd30-sgml.spec,v $
Revision 1.27  2008/07/27 22:14:46  arekm
- release 20

Revision 1.26  2007-02-12 21:23:53  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.24  2005/04/18 17:02:51  mmazur
- rel 19 for th

Revision 1.23  2004/12/17 21:25:22  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.22  2004/04/26 14:36:03  adamg
- release 18 for Ac (17 is for Ra)

Revision 1.21  2003/07/08 00:05:11  blues
- second part of small fixes inspired by kloczek (this time better checked,
  I hope...)

Revision 1.20  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.19  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/05/20 05:00:54  kloczek
- release 17: merge translations from KSI and Conectiva.

Revision 1.17  2003/02/11 22:41:51  qboosh
- cosmetics or minor fixes where necessary

Revision 1.16  2002/09/04 10:36:13  wiget
- drop sgml-iso-ent-fix
- release 16

Revision 1.15  2002/09/04 08:54:28  qboosh
- simplified prep

Revision 1.14  2002/09/03 16:27:05  wiget
- release 15
- filter all files with sgml-iso-ent-fix to fix SMGL ISO entities PublicId (like in sgml-common)
- register in centralized SGML catalog only if not already registered
- unregister only if uninstalled (not if upgraded)
- added %%trigger to fix old brain-dead %%postun

Revision 1.13  2002/08/14 06:18:04  marcus
- fixed openjade path
- use new %%doc
- rel.14.

Revision 1.12  2002/04/25 16:12:44  arturs
fixed a small typo

Revision 1.11  2002/04/06 18:20:34  misiek
- openjade 1.4

Revision 1.10  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/01 00:01:51  ankry
- added Group(fr)

Revision 1.7  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.5  2001/07/16 00:08:15  qboosh
- fixed %%clean
- pl translations
- release 13

Revision 1.4  2001/06/15 20:55:01  kloczek
- release 12.

Revision 1.3  2001/06/15 15:53:22  baggins
- fixed patching in %%build

Revision 1.2  2001/04/18 04:44:11  kloczek
- completly rewrited in PLD style (release 11).

Based on RH spec.
